#
# spec file for package artifacts
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define timestamp 20150409
Name:           artifacts
Version:        %{timestamp}
Release:        4.1
Summary:        Digital Forensics Artifact Repository
License:        Apache-2.0
Group:          Productivity/Security
Url:            https://github.com/ForensicArtifacts/artifacts/wiki
Source:         https://github.com/ForensicArtifacts/artifacts/releases/download/%timestamp/artifacts-%timestamp.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A free, community-sourced, machine-readable knowledge base of forensic artifacts that the world can use both as an information source and within other tools.

If you'd like to use the artifacts in your own tools, all you need to be able to do is read YAML. That's it. No other dependencies. The python code in this project is just used to validate all the artifacts to make sure they follow the spec.

The ForensicArtifacts.com artifact repository was forked from the GRR project artifact collection into a stand-alone repository that is not tool-specific. The GRR developers will migrate to using this repository and make contributions here. In addition the ForensicArtifact team will begin backfilling artifacts in the new format from the ForensicArtifacts.com website.

For some background on the artifacts system and how we expect it to be used see this blackhat presentation and youtube video from the GRR team.

%package validator
Summary:        Digital Forensics Artifact Repository Validator
Group:          Productivity/Security
BuildRequires:  python-setuptools
Requires:	artifacts

%description validator
Python modules and app to validate the artifact data.  It is possible some apps directly call these python modules 
but by design they should work directly with the YAML files themselves and not use these python modules.

%prep
%setup -q -n artifacts-%{timestamp}

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS AUTHORS LICENSE README
/usr/share/artifacts

%files validator
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS AUTHORS LICENSE README
%{python_sitelib}/artifacts-%{timestamp}-py2.7.egg-info
%{python_sitelib}/artifacts
/usr/bin/validator.py

%changelog
* Fri May  8 2015 Greg.Freemyer@gmail.com
- initial version 20150409 in OBS
